gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.TearoffMenuItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A menu item used to tear off and reattach its menu

Synopsis

- data TearoffMenuItem
- class MenuItemClass o => TearoffMenuItemClass o
- castToTearoffMenuItem :: GObjectClass obj => obj -> TearoffMenuItem
- gTypeTearoffMenuItem :: GType
- toTearoffMenuItem :: TearoffMenuItemClass o => o -> TearoffMenuItem
- tearoffMenuItemNew :: IO TearoffMenuItem

# Detail

A `TearoffMenuItem` is a special `MenuItem` which is used to tear off and reattach its menu.

When its menu is shown normally, the `TearoffMenuItem` is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window as a tearoff menu.

When its menu is shown as a tearoff menu, the `TearoffMenuItem` is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will erase the tearoff menu window.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Item
    | +----MenuItem
    | +----TearoffMenuItem

# Types

data TearoffMenuItem Source #

#### Instances

Instances details

Eq TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: TearoffMenuItem -> TearoffMenuItem -> Bool Source # (/=) :: TearoffMenuItem -> TearoffMenuItem -> Bool Source #
Ord TearoffMenuItem Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: TearoffMenuItem -> TearoffMenuItem -> Ordering Source #

(<) :: TearoffMenuItem -> TearoffMenuItem -> Bool Source #

(<=) :: TearoffMenuItem -> TearoffMenuItem -> Bool Source #

(>) :: TearoffMenuItem -> TearoffMenuItem -> Bool Source #

(>=) :: TearoffMenuItem -> TearoffMenuItem -> Bool Source #

max :: TearoffMenuItem -> TearoffMenuItem -> TearoffMenuItem Source #

min :: TearoffMenuItem -> TearoffMenuItem -> TearoffMenuItem Source #

GObjectClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: TearoffMenuItem -> GObject Source # unsafeCastGObject :: GObject -> TearoffMenuItem Source #
BinClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MenuItemClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
TearoffMenuItemClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class MenuItemClass o => TearoffMenuItemClass o Source #

#### Instances

Instances details

TearoffMenuItemClass TearoffMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToTearoffMenuItem :: GObjectClass obj => obj -> TearoffMenuItem Source #

gTypeTearoffMenuItem :: GType Source #

toTearoffMenuItem :: TearoffMenuItemClass o => o -> TearoffMenuItem Source #

# Constructors

tearoffMenuItemNew :: IO TearoffMenuItem Source #

Creates a new `TearoffMenuItem`.